﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;

using Windows.Storage;
using System.IO;

namespace P10_1
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Конструктор
        public MainPage()
        {
            InitializeComponent();

        }

        //Получение данных файла, который хранится в устанновочном пакете приложения
        private async void btnHello_Click(object sender, RoutedEventArgs e)
        {
            //Получаем файл из установочного пакета приложения
            StorageFile helloFile = await StorageFile.GetFileFromApplicationUriAsync(new Uri("ms-appx:///HelloFile.txt"));
            //Открываем файл для чтения
            using (Stream file = await helloFile.OpenStreamForReadAsync())
            //Читаем данные и выводим в поле
            using (StreamReader streamReader = new StreamReader(file))
            {
                this.txtHello.Text = streamReader.ReadToEnd();
            }
            
 
        }

    }
}
